Subject: Re: System Tray
From: Reid Thompson <[email-masked]>
To: Lst Recv <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Dec 2005 08:45:26 -0500

Lst Recv wrote:
> Gary, could you post a few links to some of those libraries?
> 
> Yes, that's exactly what I'd like to do.  Why?  It's a great way for
> unobtrusive, yet noticeable, notifications.  My immediate goal is to
> script a little unit test runner in the background, which constantly
> runs, and loads a green or red icon in the tray.
> 
> But I think being able to do this from shell scripts would be very,
> very useful.  How 'bout an icon that pop ups when an incoming email
> has the word "URGENT" in it?  That way, you can avoid disrupting your
> flow, and not check your email, and still be informed when an urgent
> one comes in.  A few lines of shell script, once we'd have this.
> 
> Anyone up to code this?
> 
> But, yes, my immediate use is for simple continuous integration / test
> driven development.
> 
> 
> 
> Gary R. Van Sickle wrote:
> There are a few libraries (actually example code, it's not terribly hard -
> just hard to do right) to do this, yes.  But I don't quite understand your
> question.  It sounds like you want to do something like:
> 
> put-an-alert-in-the-system-tray.exe --alert-type=stopsign
> --tooltip-text="Emergency!"
> 
> Is that right?  I'm kind of missing the point though - what happens if you
> click it?  Maybe a "--run-this-app-when-clicked=" param would make something
> like this actually useful....
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
this page may be of interest also

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/shellcc/platform/shell/programmersguide/shell_int/shell_int_programming/taskbar.asp

scroll down to "Using the Taskbar", near the bottom of the page

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/